[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomUpDown.OnAssociateChangeVisible

Implements an OnVisibleChanged event handler assigned to the Associate control in the class instance.

## Declaration

Source position: comctrls.pp line 1976

`protected procedure TCustomUpDown.OnAssociateChangeVisible(`
`Sender: TObject`
`);`

## Arguments

`Sender` |  | Control (Associate) for the event notification.

## Description

OnAssociateChangeVisible ensures that the Visible property for the control is updated when the corresponding property has been changed in the Associate control. It calls the SetVisible method to apply the new property value to the control.

See TControl.SetVisible for more information about the actions performed when the Visible property is updated.

## See also

TControl.SetVisible |  | Sets the value for the Visible property.
TControl.Visible |  | Allows the control, and all of its children, to be displayed or hidden.